const theme = {
	state: {
		key: 'beiliyou',
		beiliyou: {
			'--base-color': '#018C39',
			'--base-color-a':'#FF5C03',
			'--base-bg':'#018C39',
			'--base-color-rgba': '1,140,57',
			'--user-topbg':'@/static/images/beiliyou/home_top_bg.png'
		},
		orange: {
			'--base-color': '#FC581C',
			'--base-color-a':'#FF5C03',
			'--base-bg':'#FC581C',
			'--base-color-rgba': '252,88,28',
			'--user-topbg':'@/static/images/orange/home_top_bg.png'
		},
		purple: {
			'--base-color': '#4C49E9',
			'--base-color-a':'#FF5C03',
			'--base-bg':'#4C49E9',
			'--base-color-rgba': '76,73,233',
			'--user-topbg':'@/static/images/purple/home_top_bg.png'
		},
		red: {
			'--base-color': '#C03E25',
			'--base-color-a':'#FF5C03',
			'--base-bg':'#C03E25',
			'--base-color-rgba': '192,62,37',
			'--user-topbg':'@/static/images/red/home_top_bg.png'
		},
		// 当前模板
		currentMoban: {
			'--base-color': '#018C39',
			'--base-color-a':'#FF5C03',
			'--base-bg':'#018C39',
			'--base-color-rgba': '1,140,57',
			'--user-topbg':'@/static/images/beiliyou/home_top_bg.png'
		}
	},
	mutations: {
		// 获取当前theme
		setTheme(state, value = 'red') {
			state.currentMoban = state[value]
		}
	},
	actions: {
		// 这是vuex中请求接口变色
		async getTheme({
			commit
		}) {
			setTimeout(() => {
				// 请求完成  调用 mutations得setTheme  设置模板为 moban2
				commit('setTheme', 'red')
			}, 100)
		}
	}

}

export default theme;